<form xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../../../lib/internal/Magento/Framework/Ui/etc/ui_configuration.xsd">

<argument name="data" xsi:type="array">
    <item name="js_config" xsi:type="array">
        <item name="provider" xsi:type="string">pincode_editform.pincode_editform_data_source</item>
        <item name="deps" xsi:type="string">pincode_editform.pincode_editform_data_source</item>
    </item>
    <item name="label" xsi:type="string" translate="true">Pincode Edit Form</item>
    <item name="layout" xsi:type="array">
        <item name="type" xsi:type="string">tabs</item>
    </item>

    <item name="config" xsi:type="array">
        <item name="dataScope" xsi:type="string">data</item>
        <item name="namespace" xsi:type="string">pincode_form</item>
    </item>

     <!-- <item name="template" xsi:type="string">templates/form/collapsible</item> -->

    <item name="buttons" xsi:type="array">
        <item name="back" xsi:type="string">ShrutiAmbab\PincodeCheck\Block\Adminhtml\Pincode\Edit\Back</item>
        <item name="save" xsi:type="string">ShrutiAmbab\PincodeCheck\Block\Adminhtml\Pincode\Edit\Save</item>
    </item>
    
</argument>
 
<dataSource name="pincode_editform_data_source">
     <argument name="dataProvider" xsi:type="configurableObject">
         <argument name="class" xsi:type="string">ShrutiAmbab\PincodeCheck\Model\DataProvider</argument>
         <argument name="name" xsi:type="string">pincode_editform_data_source</argument>
         <argument name="primaryFieldName" xsi:type="string">id</argument> <!--pr key -->
         <argument name="requestFieldName" xsi:type="string">id</argument>
          <argument name="data" xsi:type="array">
            <item name="config" xsi:type="array">
                <item name="submit_url" xsi:type="url" path="pincodechecka/index/saveButton" />
            </item>
        </argument>
     </argument>
     <argument name="data" xsi:type="array">
         <item name="js_config" xsi:type="array">
             <item name="component" xsi:type="string">Magento_Ui/js/form/provider</item>
         </item>
     </argument>
</dataSource>

<fieldset name="pincode">
        <argument name="data" xsi:type="array">
            <item name="config" xsi:type="array">
                <item name="collapsible" xsi:type="boolean">false</item>
                <item name="label" xsi:type="string" translate="true">Details</item>
            </item>
        </argument>

        <field name="id">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="visible" xsi:type="boolean">false</item>
                    <item name="dataType" xsi:type="string">text</item>
                    <item name="formElement" xsi:type="string">input</item>
                     <item name="source" xsi:type="string">pincode</item>
                </item>
            </argument>
        </field>

        <field name="pincode">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string">Pincode</item>
                    <item name="visible" xsi:type="boolean">true</item>
                    <item name="dataType" xsi:type="string">text</item>
                    <item name="formElement" xsi:type="string">input</item>
                    <item name="source" xsi:type="string">pincode</item>
                     <!-- validation should be inside config -->
                    <item name="validation" xsi:type="array"> 
                        <item name="required-entry" xsi:type="boolean">true</item>
                        <item name="validate-digits" xsi:type="boolean">true</item>
                        <item name="not-negative-amount" xsi:type="boolean">true</item>
                        <item name="max_text_length" xsi:type="number">6</item>
                        <item name="min_text_length" xsi:type="number">6</item>
                    </item>
                    <item name="editor" xsi:type="array">
                        <item name="editorType" xsi:type="string">text</item>
                    </item>
                </item>
            </argument>
        </field>

        <field name="serviceability" formElement="select">
            <argument name="data" xsi:type="array">
                <item name="options" xsi:type="object">Magento\Config\Model\Config\Source\Yesno</item>
                <item name="config" xsi:type="array">
                     <item name="source" xsi:type="string">pincode</item>
                     <item name="label" translate="true" xsi:type="string">Serviceability</item>
                </item>
            </argument>            
        </field>

    </fieldset>

</form>